Name:		netprober-req
Version:	12.0
Release:	1%{?dist}
Summary:	Meta-package to bring in network testing & configuration tools

Group:		Applications/Internet
License:	Public Domain
URL:		http://www.ghiapet.net/
# Source0:	
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:	%{name}-link, %{name}-internet, %{name}-transport, %{name}-application

%description
This is just a meta-package to require a mix of packages for confguring,
testing, and diagnosing IP networks.

%package link
Summary:	Meta-package to bring in network link-layer testing & configuration tools
Requires:	arp-scan, arptools, dwscan, etherbat, ethstatus, ettercap, ettercap-gtk, hosts3d, hosts3d-sampler, ibmonitor, ifstatus, iftop, kismet, kismet-extras, ladvd, linkloop, netmonitor, pptp, scapy, tcpdump, tcpshow, wavemon, wifi-radar, wireshark, wol, yersinia

%description link
This is just a meta-package to require a mix of packages for confguring,
testing, and diagnosing IP networks.

This subpackage requires the link-layer tools.

%package internet
Summary:	Meta-package to bring in network internet-layer testing & configuration tools
Requires:	argus, argus-clients, dhcping, dwscan, ettercap, ettercap-gtk, flowgrep, fping, hesinfo, honeyd, hosts3d, hosts3d-sampler, hping3, hunt, ike-scan, ip6sic, ipcalculator, isic, jnettop, kismet, kismet-plugins, ladvd, mtr, mtr-gtk, nc, nc6, ndisc6, netactview, netmask, netstat-nat, nettee, ngrep, ntop, p0f, perl-IP-Country-utils, pptp, scapy, sing, socat, tcpdump, tcpflow, tcping, tcpreplay, tcpshow, tcptraceroute, traceproto, traceroute, ttcp, vpnc, vpnc-consoleuser, wavemon, whatmask, wifi-radar, wireshark, xprobe2, yersinia

%description internet
This is just a meta-package to require a mix of packages for confguring,
testing, and diagnosing IP networks.

This subpackage requires the internet-layer tools.

%package transport
Summary:	Meta-package to bring in network transport-layer testing & configuration tools
Requires:	argus, argus-clients, dhcping, echoping, firewalk, flowgrep, halberd, http_ping, httping, hunt, iperf, jnettop, nc, nc6, nessus-client, nessus-server, netactview, nethogs, netstat-nat, ngrep, ntop, nuttcp, p0f, redir, scapy, socat, tcpdump, tcpflow, tcpick, tcping, tcpjunk, tcpreplay, tcpshow, tcptraceroute, tcptrack, tcpxtract, traceproto, traceroute, ttcp, vpnc, vpnc-consoleuser, xprobe2, yersinia
# gstm

%description transport
This is just a meta-package to require a mix of packages for confguring,
testing, and diagnosing IP networks.

This subpackage requires the transport-layer tools.

%package application
Summary:	Meta-package to bring in network application-layer testing & configuration tools
Requires:	DMitry, bro, checkdns, corkscrew, dhcping, dlint, dnscap, dnsperf, dnstracer, doc, driftnet, dsniff, echoping-dns, echoping-ldap, echoping-postgresql, echoping-whois, finger, gq, gsh, gurlchecker, halberd, honeyd, http_ping, httping, httptunnel, ike-scan, jwhois, mon, nbtscan, nessus-client, nessus-server, nethogs, nfswatch, nikto, onesixtyone, openconnect, openldap-clients, perl-IP-Country-utils, postal, raddump, radiusclient-ng, radiusclient-ng-utils, ratproxy, rblcheck, scanssh, smokeping, snort-plain+flexresp, sshfp, swaks, tcpflow, tcpick, tcpjunk, tcpxtract, tftp, urlview, vnc-reflector, vpnc, vpnc-consoleuser
# gstm

%description application
This is just a meta-package to require a mix of packages for confguring,
testing, and diagnosing IP networks.

This subpackage requires the application-layer tools.

%package gtk
Summary:	Meta-package to bring in GTK network testing & configuration tools
Requires:	gnome-applet-netspeed, gnome-netstatus, mtr-gtk, nessus-gui, wireshark-gnome

%description gtk
This is just a meta-package to require a mix of packages for confguring,
testing, and diagnosing IP networks.

This subpackage requires the GTK-based tools.

%package kde
Summary:	Meta-package to bring in KDE network testing & configuration tools
Requires:	kde-plasma-networkmanagement, kdenetwork, knemo, knetstats, smb4k
# Requires:	kde-plasma-networkmanagement-openvpn, kde-plasma-networkmanagement-vpnc
# Requires:	knetworkmanager, knetworkmanager-openvpn, knetworkmanager-vpnc

%description kde
This is just a meta-package to require a mix of packages for confguring,
testing, and diagnosing IP networks.

This subpackage requires the KDE-based tools.

%prep


%build


%install
rm -rf $RPM_BUILD_ROOT
mkdir $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)

%files link
%defattr(-,root,root,-)

%files internet
%defattr(-,root,root,-)

%files transport
%defattr(-,root,root,-)

%files application
%defattr(-,root,root,-)

%files gtk
%defattr(-,root,root,-)

%files kde
%defattr(-,root,root,-)

%changelog
* Wed Dec 30 2009 J. Randall Owens <jrowens@randy-fedlaptop.ghiapet.net> - 12.0-1
- update for Fedora 12

* Wed Jul 15 2009  <jrowens@ghiapet.net> - 11.0-1
- Initial build for Fedora 11

